const ipc = require('electron').ipcRenderer;
ipc.on('updateList', (e, list) =>
{
    loadVehicles(list);
});
var vehicles = ['', []];
const loadVehicles = (data = Array) =>
{
    document.getElementById('details').innerHTML = "";
    vehicles[1] = data;
    var inner   = '';
    var added   = 0;
    for (var item of data)
    {
        added += 1;
        inner += `<div id="${item.model}" class="vehicle ${added === data.length ? 'active' : ''}" onclick="displayDetails('${item.model}');">${item.model}</div>`;
    }
    document.getElementById('list').innerHTML = inner;
    if (added === data.length)
    {
        vehicles[0] = '';
        displayDetails(item.model);
    }
};
const displayDetails = (model = String) =>
{
    if (vehicles[0] === model) return;
    if (vehicles[0] !== '')
    {
        document.getElementById(vehicles[0]).classList.toggle('active', false);
    }
    vehicles[0] = model;
    document.getElementById(vehicles[0]).classList.toggle('active', true);
    var data = {}
    for (var i = 0; i < vehicles[1].length; i++)
    {
        var row = vehicles[1][i];
        if (row.model === model)
        {
            data = row;
            break;
        }
    }
    var details       = document.getElementById('details');
    inner             = '';
    if (data.meta.length > 0)
    {
        inner += '<label>Meta Files</label>';
        for (var item of data.meta)
        {
            inner += '<p>• ' + item[1] + '</p>';
        }
    }
    if (data.stream.length > 0)
    {
        inner += '<label>Stream Files</label>';
        for (var item of data.stream)
        {
            inner += '<p>• ' + item[1] + '</p>';
        }
    }
    if (data.mods.length > 0)
    {
        inner += '<label>Mods Files</label>';
        for (var item of data.mods)
        {
            inner += '<p>• ' + item[1] + '</p>';
        }
    }
    details.innerHTML = inner;
};
document.getElementById('delete').onclick = () =>
{
    if (vehicles[0] === '') return;
    ipc.send('removeVehicle', vehicles[0]);
};